メインコンテンツまでスキップ

Cluster を変更 (V2)

専用クラスターを変更します。クラスターに割り当てられた CU 数を増減できます。

POST/v2/clusters/{CLUSTER_ID}/modify
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API key である必要があります。

値の例: Bearer {{TOKEN}}
Acceptstringheader

application/json を使用します。

値の例: application/json
CLUSTER_IDstringpath必要

変更するクラスターの ID。

値の例: inxx-xxxxxxxxxxxxxxx
リクエスト・ボディ
cuSizeinteger

変更後にこのクラスターへ割り当てられる CU 数。このパラメーターと autoscaling.cu は相互排他的であり、指定できるのはどちらか一方のみです。このパラメーターと replica の積は 1024 を超えてはなりません。
Standard plan の専用クラスターでは、値は 1 ~ 32 で、指定可能な値は 1, 2, 4, 8, 12, 16, 20, 24, 28, 32 です。
Enterprise plan の専用クラスターでは、値は 1 ~ 1,024 で、指定可能な値は 1, 2, 4, 8, 12, 16, 20, 24, 28, 32,...,64, 72, 80, 88,...,256, 272, 288, ...,1024 です。
CU サイズの増分ルールの詳細については、Detailed Plan Comparison の Deployment セクションを参照してください。

値の範囲: > 1≤ 1024
replicainteger

変更後のこのクラスターのレプリカ数。このパラメーターと autoscaling.replica は相互排他的であり、指定できるのはどちらか一方のみです。このパラメーターと cuSize の積は 1024 を超えてはなりません。

値の範囲: > 1≤ 10
autoscalingobject

クラスターの Auto-scaling 設定。このパラメーターと cuSize または replica は相互排他的であり、指定できるのはどちらか一方のみです。

cuobject

CU の Auto-scaling 設定。cuSize をすでに設定している場合は使用できません。CU の最大数とレプリカの最大数の積は 1024 を超えてはなりません。

mininteger

Auto-scaling の CU の最小数。このパラメーターと schedules は相互排他的であり、指定できるのはどちらか一方のみです。

値の範囲: > 1≤ 1024
maxinteger

Auto-scaling の CU の最大数。このパラメーターと schedules は相互排他的であり、指定できるのはどちらか一方のみです。

値の範囲: > 1≤ 1024
schedulesarray

Auto-scaling スケジュール。このパラメーターと min/max は相互排他的であり、指定できるのはどちらか一方のみです。

[]schedulesobject

Auto-scaling スケジュール。

cronstring

スケジュールを定義する Cron 式。

値の例: 0 0 * * *
targetinteger

このスケジュールの対象 CU 数。

replicaobject

レプリカの Auto-scaling 設定。replica をすでに設定している場合は使用できません。CU の最大数とレプリカの最大数の積は 256 を超えてはなりません。

mininteger

Auto-scaling のレプリカの最小数。このパラメーターと schedules は相互排他的であり、指定できるのはどちらか一方のみです。

値の範囲: > 1≤ 10
maxinteger

Auto-scaling のレプリカの最大数。このパラメーターと schedules は相互排他的であり、指定できるのはどちらか一方のみです。

値の範囲: > 1≤ 10
schedulesarray

Auto-scaling スケジュール。このパラメーターと min/max は相互排他的であり、指定できるのはどちらか一方のみです。

[]schedulesobject

Auto-scaling スケジュール。

cronstring

スケジュールを定義する Cron 式。

値の例: 0 0 * * *
targetinteger

このスケジュールの対象レプリカ数。

bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}/modify" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"cuSize": 2,
"replica": 2
}'
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}/modify" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"autoscaling": {
"cu": {
"min": 1,
"max": 2
},
"replica": {
"min": 1,
"max": 2
}
}
}'
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}/modify" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"autoscaling": {
"cu": {
"schedules": [
{
"cron": "10 0 0 0 0 ?",
"target": 2
}
]
},
"replica": {
"schedules": [
{
"cron": "10 0 0 0 0 ?",
"target": 2
}
]
}
}
}'
レスポンス

変更されたクラスターの ID を返します。

codeinteger

レスポンスコード。

dataobject

レスポンスペイロード。

clusterIdstring

変更されたクラスターの ID。

promptstring

返されたプロンプトメッセージ。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"prompt": "successfully submitted. Cluster is being upgraded, which is expected to take several minutes. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK."
}
}